#!/usr/bin/env node
'use strict'

const { program } = require('commander');

const init = require('../command/init')
const list = require('../command/list')
const add = require('../command/add')
const del = require('../command/delete')
const config = require('../package.json')


program.version(config.version,'-V, -v, --version')

program.command('create <name>',)
    .description('新建一个项目')
    .action((name)=> {
        init(name)
    })
/**
* 查看模版列表 cqc-cli ls
* */
program.command('ls')
    .description('查看模版列表')
    .action(()=>{
        list()
    })
/**
 * 添加模版 cqc-cli add
 * */
program.command('add')
    .description('添加新模版')
    .action(()=>{
        add()
    })
/**
 * 删除模版 cqc-cli del
 * */
program.command('delete')
    .description('删除模版')
    .action(()=>{
        del()
    })
program.parse(process.argv);

