'use strict'

const inquirer = require('inquirer');

const config = require('../template.json')

const chalk = require('chalk')

const fs = require('fs')

const promptList = [
    {
        type: 'input',
        message: 'Template name:',
        name: 'name',
    },
    {
        type: 'input',
        message: 'Template description:',
        name: 'description',
    },
    {
        type: 'input',
        message: 'Git https link:',
        name: 'url',
    },
    {
        type: 'input',
        message: 'Branch:',
        name: 'branch',
    },
]


module.exports = () => {

    inquirer.prompt(promptList).then(res=>{
            // 避免重复添加

            if (!config[res.name]) {

                config[res.name] = {}

                config[res.name]['url'] = res.url.replace(/[\u0000-\u0019]/g, '')+'#'+res.branch // 过滤unicode字符

                config[res.name]['description'] = res.description

            }else {

                console.log(chalk.red('Template has already existed!'))

                process.exit()

            }
            // 把模板信息写入templates.json

            fs.writeFile(__dirname + '/../template.json', JSON.stringify(config), 'utf-8', (err) => {

                if (err) console.log(err)

                console.log(chalk.green('New template added!\n'))

                console.log(chalk.grey('The last template list is: \n'))

                console.log(config)

                console.log('\n')

                process.exit()

            })
        })

}
